Subject: Re: [PATCH] git-svn.txt: mention how to rebuild rev_map files

From: Keshav Kini <[email-masked]>
Date: Wed, 25 Sep 2013 21:21:47 -0500

Jonathan Nieder <[email-masked]> writes:
> Keshav Kini wrote:
>
>> I changed the wording of your first paragraph a bit according to what I
>> thought it meant. Does it still convey what you wanted to convey, and is
>> it still correct?
>>
>>         Mapping between Subversion revision numbers and Git commit
>>         names.  In a repository where the noMetadata option is not set,
>>         this can be rebuilt from the git-svn-id: lines that are at the
>>         end of every commit (see the 'svn.noMetadata' section above for
>>         details).
>
> Sounds good.
>
>> Also, I'm having a bit of trouble trying to get a definition to start
>> with a '.' character in AsciiDoc.  Escaping the '.' produces a
>> definition block, but with a literal '\' before the '.'.  If I don't
>> escape the '.', asciidoc thinks it's a section heading or something. Is
>> asciidoc just incapable of doing this, or am I missing something?
>
> Oh.  Yeah, this can be a pain.  Quoting the filename with `backticks`
> might work.  Writing $GIT_DIR instead of .git might be simpler (see
> v1.5.3.2~18 "Documentation/git-config.txt: AsciiDoc tweak to avoid
> leading dot", 2007-09-14).

Good point.  Actually it seems to me that writing $GIT_DIR is in fact
more correct, since $GIT_DIR need not be ".git" at all.  So I'll just
use that.  Reroll coming up in a bit.

-Keshav